%define realver 5.7-1

Name:		ast
Version:	5.7.1
Release:	1%{?dist}
Summary:	A library for handling World Coordinate Systems in astronomy
Group:		System Environment/Libraries

License:	GPLv2
URL:		http://starlink.jach.hawaii.edu/starlink/AST
# Source retrieved from URL at http://starlink.jach.hawaii.edu/starlink/AST?action=AttachFile&do=get&target=ast-5.7-1.tar.gz
Source0:	%{name}-%{realver}.tar.gz

BuildRequires:	git, pax, perl, gcc-gfortran
# Requires:	

%description
The AST library provides a comprehensive range of facilities for attaching
world coordinate systems to astronomical data, for retrieving and interpreting
that information and for generating graphical output based on it. Its main
selling points are:

    Ease of use.
    Facilities for generating plots of generalised non-linear, potentially
        discontinuous 2-D or 3-D coordinate systems, with detailed control of
        the appearance of the plot.
    Facilities for converting transparently between different coordinate
        systems, including a wide range of celestial, spectral and time
        coordinate systems.
    Facilities for searching a general collection of connected coordinate
        systems for a coordinate system with any given set of characteristics.
    Allows code for handling WCS information to be written in a general way
        without regard to the specific nature of the coordinate systems being
        handled (i.e. whether they represent sky positions, spectral positions,
        focal plane positions, pixel positions, etc).
    Flexible system for saving and retrieving WCS information, including (but
        not limited to) a range of different popular FITS descriptions.
    Written in C but has interfaces for C, Fortran, Java (via JNI), Perl, and
        UNIX shell.
    Extensive documentation. 

%package doc
Summary:	Documentation for ast

%description doc
Documentation for ast, a library for handling World Coordinate Systems in
astronomy.

%prep
%setup -q -n %{name}-%{realver}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{__mkdir_p}  doc
%{__mv} $RPM_BUILD_ROOT/%{_prefix}/docs/* doc/
%{__mv} $RPM_BUILD_ROOT/%{_prefix}/help/* doc/
# % {__mv} $RPM_BUILD_ROOT/%{_prefix}/manifests/ast $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/ast.manifest.xml
%{__rm} $RPM_BUILD_ROOT/%{_prefix}/manifests/ast
%{__mv} $RPM_BUILD_ROOT/%{_prefix}/news/ast.news doc/NEWS
%{__mv} $RPM_BUILD_ROOT/%{_prefix}/share/ast/* doc/


%files
%defattr(-, root, root, 755)
%doc COPYING.LIB LICENCE
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*


%files doc
%defattr(-, root, root, 0644)
%doc doc/


%changelog
* Fri Jul  8 2011  <jrowens@ghiapet.net> - 5.7.1-1
- Initial build

